Documentation Index
Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
Use this file to discover all available pages before exploring further.
Learn about the /employments endpoint.
Employment objects contain information related to the employment information of the user: employment status and type, hire and termination dates, etc. The data in an employment object is tied to a particular payroll account that the user has connected via Argyle Link.
The employment object
Attributes
id (string (uuid), optional): Unique ID of the employment object associated with a user’s payroll account.
account (string (uuid), optional): ID of the payroll account associated with the employment object.
employer (string, optional): The name of the company or entity that employs the user.
job_title (string, optional): The current job title of the user. The value will usually be a free-form text returned from the payroll provider—for example, sales associate, driver.
termination_reason (string, optional): Reason for the termination event. Free-form text entry provided by the employer or payroll provider.
base_pay.amount (integer, optional): A fixed amount of money paid to a user, not including any bonuses, commission, or other discretionary incentives.
base_pay.currency (string, optional): A user’s base pay currency. Currencies follow the ISO 4217 format.
platform_ids.employee_id (string, optional): A unique ID assigned to a user by an employer.
platform_ids.position_id (string, optional): A unique ID assigned to a position by an employer.
platform_ids.platform_user_id (string, optional): A unique ID assigned to a user by a payroll provider.
metadata (object, optional): Metadata holds additional available, often unstructured, information about this data resource.
{
"id": "857b4aad-1a55-4200-84f7-311cd3dc3432",
"account": "021a1749-6973-4e47-a82a-307008ca88cc",
"employer": "walmart",
"created_at": "2020-10-27T17:29:08.724Z",
"updated_at": "2020-10-27T17:29:08.724Z",
"status": "active",
"type": "part-time",
"job_title": "cashier",
"hire_datetime": "2018-10-27T17:29:08.724Z",
"termination_datetime": null,
"termination_reason": null,
"base_pay": {
"amount": 36400,
"period": "annual",
"currency": "USD"
},
"pay_cycle": "monthly",
"platform_ids": {
"employee_id": "47FJ06ON8",
"position_id": "INA609028",
"platform_user_id": "H3WTY0FHMQ24ERDN"
},
"metadata": {}
},
null,
2
Retrieve an employment
GET /v1/employments/{id}
- Retrieve an employment object with the supplied ID.
- This request returns an employment object if a valid identifier was provided.
Path parameters
id (string (uuid), required): The identifier of the employment to be retrieved.
curl --request GET \\
--url https://api.argyle.com/v1/employments/{id} \\
--header 'accept: application/json' \\
--header 'content-type: application/json'
import requests
url = "https://api.argyle.com/v1/employments/{id}"
headers = {
"accept": "application/json",
"content-type": "application/json"
}
response = requests.get(url, headers=headers)
{
"id": "0180519e-7161-2f64-e84a-840207f960a4",
"account": "0180519e-64f5-0107-603a-a460f85c2c50",
"status": "active",
"type": "part-time",
"job_title": "1635 - Helpline Agent",
"platform_user_id": "3TLS6GT3XIKJNZRQ",
"hire_datetime": "2014-07-30T19:27:57Z",
"termination_datetime": "2022-05-22T14:12:58Z",
"termination_reason": "Poor quality of work.",
"employer": "amazin",
"metadata": {},
"base_pay": {
"amount": "44.51",
"period": "hourly",
"currency": "USD"
},
"pay_cycle": "monthly",
"created_at": "2022-04-22T14:12:59.874Z",
"updated_at": "2022-04-22T14:12:59.874Z",
"platform_ids": {
"employee_id": "2Y8LCCCVG",
"position_id": "93X4D03S5",
"platform_user_id": "3TLS6GT3XIKJNZRQ"
}
},
null,
2
List employments
GET /v1/employments
- List employment objects.
- This request returns an object with a
results property that contains an array of up to limit employment objects.
Query parameters
curl --request GET \\
--url https://api.argyle.com/v1/employments?limit=2 \\
--header 'accept: application/json' \\
--header 'content-type: application/json'
import requests
url = "https://api.argyle.com/v1/employments?limit=2"
headers = {
"accept": "application/json",
"content-type": "application/json"
}
response = requests.get(url, headers=headers)
[
{
"id": "0180519e-7161-2f64-e84a-840207f960a4",
"account": "0180519e-64f5-0107-603a-a460f85c2c50",
"status": "active",
"type": "part-time",
"job_title": "1635 - Helpline Agent",
"platform_user_id": "3TLS6GT3XIKJNZRQ",
"hire_datetime": "2014-07-30T19:27:57Z",
"termination_datetime": "2022-05-22T14:12:58Z",
"termination_reason": "Poor quality of work.",
"employer": "amazin",
"metadata": {},
"base_pay": {
"amount": "44.51",
"period": "hourly",
"currency": "USD"
},
"pay_cycle": "monthly",
"created_at": "2022-04-22T14:12:59.874Z",
"updated_at": "2022-04-22T14:12:59.874Z",
"platform_ids": {
"employee_id": "2Y8LCCCVG",
"position_id": "93X4D03S5",
"platform_user_id": "3TLS6GT3XIKJNZRQ"
}
},
{
"id": "01805174-1a57-4251-baf0-333a2eb95750",
"account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
"status": "active",
"type": "contractor",
"job_title": null,
"platform_user_id": "418IMWASXATWBW2X",
"hire_datetime": null,
"termination_datetime": null,
"termination_reason": null,
"employer": "udre",
"metadata": {},
"base_pay": {
"amount": null,
"currency": null,
"period": null
},
"pay_cycle": null,
"created_at": "2022-04-22T13:26:45.079Z",
"updated_at": "2022-04-22T13:26:45.079Z",
"platform_ids": {
"employee_id": null,
"position_id": null,
"platform_user_id": "418IMWASXATWBW2X"
}
}
],
null,
2